<div id="ai1wmfe-import-modal" class="ai1wmfe-modal ai1wm-not-visible">
	<div class="ai1wm-modal-content-middle">
		<span class="ai1wm-loader" v-if="files === false"></span>
		<div class="ai1wmfe-file-browser" v-if="files !== false">
			<span class="ai1wmfe-path">
				<i class="ai1wm-icon-folder"></i>
				<span id="ai1wmfe-download-path">{{path}}</span>
			</span>
			<ul class="ai1wmfe-file-list">
				<li v-repeat="files" v-on="click: browse(this)" class="ai1wmfe-file-item">
					<span class="ai1wmfe-filename">
						<i class="{{type | icon}}"></i>
						{{name}}
					</span>
					<span class="ai1wmfe-filedate" v-if="type !== 'folder'">{{date}}</span>
					<span class="ai1wmfe-filesize" v-if="type !== 'folder'">{{size}}</span>
				</li>
			</ul>
			<p v-if="files.length === 0"><?php _e( 'No files or directories', AI1WMFE_PLUGIN_NAME ); ?></p>
		</div>
	</div>

	<div class="ai1wm-modal-action">
		<p>
			<?php if ( get_option( 'ai1wmfe_ftp_type' ) === 'sftp' ) :  ?>
				<span class="ai1wmfe-contact-ftp" v-if="files === false">
					<?php _e( 'Connecting to SFTP server ...', AI1WMFE_PLUGIN_NAME ); ?>
				</span>
			<?php else : ?>
				<span class="ai1wmfe-contact-ftp" v-if="files === false">
					<?php _e( 'Connecting to FTP server ...', AI1WMFE_PLUGIN_NAME ); ?>
				</span>
			<?php endif; ?>
		</p>
		<p>
			<span id="ai1wmfe-download-file" class="ai1wmfe-selected-file" v-if="selected_filename" v-animation>
				<i class="ai1wm-icon-file-zip"></i>
				{{selected_filename}}
			</span>
		</p>
		<p>
			<button type="button" class="ai1wm-button-red" id="ai1wmfe-import-file-cancel" v-on="click: cancel">
				<i class="ai1wm-icon-notification"></i>
				<?php _e( 'Cancel', AI1WMFE_PLUGIN_NAME ); ?>
			</button>
			<button type="button" class="ai1wm-button-green" id="ai1wmfe-import-file" v-if="selected_filename" v-on="click: import">
				<i class="ai1wm-icon-publish"></i>
				<?php _e( 'Import', AI1WMFE_PLUGIN_NAME ); ?>
			</button>
		</p>
	</div>
</div>
