<?php
/**
 * Copyright (C) 2014-2017 ServMask Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * ███████╗███████╗██████╗ ██╗   ██╗███╗   ███╗ █████╗ ███████╗██╗  ██╗
 * ██╔════╝██╔════╝██╔══██╗██║   ██║████╗ ████║██╔══██╗██╔════╝██║ ██╔╝
 * ███████╗█████╗  ██████╔╝██║   ██║██╔████╔██║███████║███████╗█████╔╝
 * ╚════██║██╔══╝  ██╔══██╗╚██╗ ██╔╝██║╚██╔╝██║██╔══██║╚════██║██╔═██╗
 * ███████║███████╗██║  ██║ ╚████╔╝ ██║ ╚═╝ ██║██║  ██║███████║██║  ██╗
 * ╚══════╝╚══════╝╚═╝  ╚═╝  ╚═══╝  ╚═╝     ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝
 */

// ==================
// = Plugin Version =
// ==================
define( 'AI1WMFE_VERSION', '2.23' );

// ===============
// = Plugin Name =
// ===============
define( 'AI1WMFE_PLUGIN_NAME', 'all-in-one-wp-migration-ftp-extension' );

// ============
// = Lib Path =
// ============
define( 'AI1WMFE_LIB_PATH', AI1WMFE_PATH . DIRECTORY_SEPARATOR . 'lib' );

// ===================
// = Controller Path =
// ===================
define( 'AI1WMFE_CONTROLLER_PATH', AI1WMFE_LIB_PATH . DIRECTORY_SEPARATOR . 'controller' );

// ==============
// = Model Path =
// ==============
define( 'AI1WMFE_MODEL_PATH', AI1WMFE_LIB_PATH . DIRECTORY_SEPARATOR . 'model' );

// ===============
// = Export Path =
// ===============
define( 'AI1WMFE_EXPORT_PATH', AI1WMFE_MODEL_PATH . DIRECTORY_SEPARATOR . 'export' );

// ===============
// = Import Path =
// ===============
define( 'AI1WMFE_IMPORT_PATH', AI1WMFE_MODEL_PATH . DIRECTORY_SEPARATOR . 'import' );

// =============
// = View Path =
// =============
define( 'AI1WMFE_TEMPLATES_PATH', AI1WMFE_LIB_PATH . DIRECTORY_SEPARATOR . 'view' );

// ===============
// = Vendor Path =
// ===============
define( 'AI1WMFE_VENDOR_PATH', AI1WMFE_LIB_PATH . DIRECTORY_SEPARATOR . 'vendor' );

// =====================
// = SFTP Factory Path =
// =====================
define( 'AI1WMFE_SFTP_FACTORY_PATH', AI1WMFE_VENDOR_PATH . DIRECTORY_SEPARATOR . 'sftp-factory' . DIRECTORY_SEPARATOR . 'sftp-factory' );

// ================
// = PHPSecLib Path =
// ================
define( 'AI1WMFE_PHPSECLIB_PATH', AI1WMFE_SFTP_FACTORY_PATH . DIRECTORY_SEPARATOR . 'vendor' . DIRECTORY_SEPARATOR . 'phpseclib' );

// =================
// = Max File Size =
// =================
define( 'AI1WMFE_MAX_FILE_SIZE', 0 );

// ====================
// = FTP Default Port =
// ====================
define( 'AI1WMFE_FTP_DEFAULT_PORT', 21 );

// ===============
// = Purchase ID =
// ===============
define( 'AI1WMFE_PURCHASE_ID', '67ba33b6-d6ce-4517-af64-7812fb8a4f76' );
